cern.colt.buffer

## Interface DoubleBuffer3DConsumer

All Known Implementing Classes:
  DoubleBuffer3D

    public interface DoubleBuffer3DConsumer

Target of a streaming `DoubleBuffer3D` into which data is flushed upon buffer overflow.

Version:
  1.0, 09/24/99

### Method Summary

Methods
`void` `addAllOf(DoubleArrayList x, DoubleArrayList y, DoubleArrayList z)` Adds all specified (x,y,z) points to the receiver.

### Method Detail

#### addAllOf

    void addAllOf(DoubleArrayList x,
                DoubleArrayList y,
                DoubleArrayList z)

Adds all specified (x,y,z) points to the receiver.

Parameters:
  `x` - the x-coordinates of the points to be added.
  `y` - the y-coordinates of the points to be added.
  `z` - the z-coordinates of the points to be added.